Game = {}

function Game:init()
	World:init()
	
	self.player = EPlayer.new()
	
	self.translate = {
		x = 0,
		y = 0,
	}
end

function Game:update(dt)
	World:update()
	EPlayer.update(self.player, dt)
	
	self.translate.x = -self.player.renderPosition.x + (WINDOW_WIDTH / (2 * DRAW_SCALE))
	self.translate.y = -self.player.renderPosition.y + (WINDOW_HEIGHT / (2 * DRAW_SCALE))
	
	if love.mouse.isDown("l") then
		local mx, my = love.mouse.getPosition()
		
		mx = mx / DRAW_SCALE
		my = my / DRAW_SCALE
		
		mx = mx - self.translate.x
		my = my - self.translate.y
		
		World:tileAt(mx, my).id = TILE_DIRT
	end
end

function Game:draw()
	love.graphics.translate(
		self.translate.x,
		self.translate.y
	)
	World:draw()
	EPlayer.draw(self.player)
end