TileDictionary = {}

function TileDictionary:init()
	self.definitions = {}
	self.definitionsDirectory = "tiles"
	self.nIds = 0
	
	local files = love.filesystem.getDirectoryItems(self.definitionsDirectory)
	local currentDefinition
	local currentPath
	
	for i, file in pairs(files) do
		currentPath = self.definitionsDirectory .. "." .. file
		
		-- we have to remove the ".lua" at the end of each file name
		currentPath = string.sub(
			currentPath,
			1,
			currentPath:len() - 4
		)
		
		currentDefinition = require(currentPath)
		
		assert(
			self.definitions[currentDefinition.id] == nil,
			"TileDictionary:init() - duplicate id: " .. currentDefinition.id .. " found in: " .. file
		)
		
		self.definitions[currentDefinition.id] = currentDefinition
		
		self.nIds = self.nIds + 1
	end
end

function TileDictionary:getDefinitionOf(id)
	assert(
		id > -1 and id < self.nIds,
		"TileDictionary:definitionOf() - requested id: " .. id .. " not in dictionary"
	)
	
	return self.definitions[id]
end